
<div *ngIf="standardCalendar">
    <h5><span jhiTranslate="mpmApp.standardCalendar.detail.title">Standard Calendar</span> {{standardCalendar.idCalendar}}</h5>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.standardCalendar.description">Description</span></dt>
        <dd>
            <span>{{standardCalendar.description}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.standardCalendar.dateFrom">Date From</span></dt>
        <dd>
            <span>{{standardCalendar.dateFrom | date:'medium'}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.standardCalendar.dateThru">Date Thru</span></dt>
        <dd>
            <span>{{standardCalendar.dateThru | date:'medium'}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.standardCalendar.dateKey">Date Key</span></dt>
        <dd>
            <span>{{standardCalendar.dateKey | date:'medium'}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.standardCalendar.workDay">Work Day</span></dt>
        <dd>
            <span>{{standardCalendar.workDay}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.standardCalendar.calendarType">Calendar Type</span></dt>
        <dd>
            <div *ngIf="standardCalendar.calendarTypeId">
                <a [routerLink]="['/calendar-type', standardCalendar.calendarTypeId]">{{standardCalendar.calendarTypeDescription}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.standardCalendar.internal">Internal</span></dt>
        <dd>
            <div *ngIf="standardCalendar.internalId">
                <a [routerLink]="['/internal', standardCalendar.internalId]">{{standardCalendar.internalId}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.standardCalendar.parent">Parent</span></dt>
        <dd>
            <div *ngIf="standardCalendar.parentId">
                <a [routerLink]="['/standard-calendar', standardCalendar.parentId]">{{standardCalendar.parentDescription}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'standard-calendar/'+ standardCalendar.idCalendar + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
